Ontology Terms
curl --request GET \
--url https://catalog-api-dev.demo.igvf.org/api/ontology-termsimport requests
url = "https://catalog-api-dev.demo.igvf.org/api/ontology-terms"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://catalog-api-dev.demo.igvf.org/api/ontology-terms', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"uri": "<string>",
"term_id": "<string>",
"name": "<string>",
"synonyms": [
"<string>"
],
"description": "<string>",
"source": "<string>",
"subontology": "<string>",
"source_url": "<string>"
}
]{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}API Reference
Ontology Terms
Retrieve ontology terms.
Example: term_id = Orphanet_101435,
name = Rare genetic eye disease,
synonyms = WTC11,
source = EFO,
subontology = molecular_function.
The limit parameter controls the page size and can not exceed 1000.
Pagination is 0-based.
Ontology Terms
curl --request GET \
--url https://catalog-api-dev.demo.igvf.org/api/ontology-termsimport requests
url = "https://catalog-api-dev.demo.igvf.org/api/ontology-terms"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://catalog-api-dev.demo.igvf.org/api/ontology-terms', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"uri": "<string>",
"term_id": "<string>",
"name": "<string>",
"synonyms": [
"<string>"
],
"description": "<string>",
"source": "<string>",
"subontology": "<string>",
"source_url": "<string>"
}
]{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}Query Parameters
Available options:
BAO, CHEBI, CL, CLO, Cellosaurus, EFO, ENCODE, GO, HPO, IGVF, MONDO, NCIT, OBA, ORPHANET, Oncotree, UBERON, VARIO Available options:
biological_process, cellular_component, molecular_function